import { Css } from '@ema/core';
export class CardHeader {
    constructor() {
        this.background = 'none';
        this.color = 'inherit';
        this.padding = '10px 20px';
    }
    componentDidLoad() {
        this.postRender();
    }
    componentDidUpdate() {
        this.postRender();
    }
    postRender() {
        setTimeout(() => {
            Css.setVar('ema-card-header-background', this.background, this.el.querySelector('.ema-card-header'));
            Css.setVar('ema-card-header-color', this.color, this.el.querySelector('.ema-card-header'));
            Css.setVar('ema-card-header-padding', this.padding, this.el.querySelector('.ema-card-header'));
        });
    }
    render() {
        return (h("div", { class: "ema-card-header" },
            h("slot", null)));
    }
    static get is() { return "ema-card-header"; }
    static get properties() { return {
        "background": {
            "type": String,
            "attr": "background"
        },
        "color": {
            "type": String,
            "attr": "color"
        },
        "el": {
            "elementRef": true
        },
        "padding": {
            "type": String,
            "attr": "padding"
        }
    }; }
    static get style() { return "/**style-placeholder:ema-card-header:**/"; }
}
